Lone Wolf Development Forums  

Go Back   Lone Wolf Development Forums > Hero Lab Forums > HL - Pathfinder Roleplaying Game

Notices

Reply
 
Thread Tools Display Modes
Damiv
Junior Member
 
Join Date: Nov 2020
Posts: 3

Old November 17th, 2020, 08:42 AM
Hello,

I was trying to learn my way around Hero Lab to add a few classes into Pathfinder. Namely things from the Tome of Magic and Magic of Incarnum from 3.5. So I found my way into the editor and was attempting to create a new class, however it won't let me do so without compiling. When I do try to compile, it fails and I get a large number of errors from the Pathfinder Community Pack. Image attached.



Is there any way to resolve these without breaking the pack or having to remove it every time I want to work on something?

Thanks for any assistance ya'll can provide.
Damiv is offline   #1 Reply With Quote
Dami
Senior Member
 
Join Date: Mar 2013
Location: Melbourne, Australia
Posts: 789

Old November 17th, 2020, 11:47 PM
There is a known error with compiling because the PF files (not just the community pack) are so large. Once you get that error, the only thing you can do is close HL completely, and restart.

Current RPG's: Pathfinder (GM), Pathfinder (Player), Gamma World (GM, Pathfinder homebrew).
HeroLab: 3.5 & Pathfinder. HL User Files for PF: Greyhawk Setting, Gamma World (WIP).

DM and player of D&D since 1980.
Dami is offline   #2 Reply With Quote
Damiv
Junior Member
 
Join Date: Nov 2020
Posts: 3

Old November 18th, 2020, 01:37 AM
Okay thanks.
Damiv is offline   #3 Reply With Quote
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,728

Old November 18th, 2020, 01:34 PM
In addition this will happen if you are using the 32bit version of HL. If you switch to 64bit this compile error should no longer happen.

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is offline   #4 Reply With Quote
Damiv
Junior Member
 
Join Date: Nov 2020
Posts: 3

Old November 19th, 2020, 12:12 AM
Ah that would help as well. I didn't even realize I was using the 32bit. Thanks!
Damiv is offline   #5 Reply With Quote
Maidhc O Casain
Senior Member
 
Join Date: Nov 2009
Location: Jonesboro, AR (USA)
Posts: 812

Old November 21st, 2020, 05:44 PM
Sadly, if you are using HL in conjunction with RealmWorks you are stuck with the 32 bit version...
Maidhc O Casain is offline   #6 Reply With Quote
Silveras
Senior Member
 
Join Date: Aug 2010
Posts: 1,524

Old November 22nd, 2020, 08:17 AM
Quote:
Originally Posted by Maidhc O Casain View Post
Sadly, if you are using HL in conjunction with RealmWorks you are stuck with the 32 bit version...
The two are installed together. You can use the 64-bit version of HL for everything except the parts that are integrated with RealmWorks and use the 32-bit version during your sessions when you want to load encounters from RealmWorks.
Silveras is offline   #7 Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -8. The time now is 09:43 AM.


Powered by vBulletin® - Copyright ©2000 - 2021, vBulletin Solutions, Inc.
wolflair.com copyright ©1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.